import { UiToolbar } from "./tool-container/toolbar/UiToolbar";
import { UiSplitPane } from "./UiSplitPane";
import { UiComponent } from "./UiComponent";
import { UiApplicationLayoutConfig } from "../generated/UiApplicationLayoutConfig";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
export declare class UiApplicationLayout extends UiComponent<UiApplicationLayoutConfig> {
    private $mainDiv;
    private _toolbar;
    private _rootSplitPane;
    private _$toolbarContainer;
    private _$contentContainer;
    constructor(config: UiApplicationLayoutConfig, context: TeamAppsUiContext);
    onResize(): void;
    setToolbar(toolbar: UiToolbar): void;
    setRootSplitPane(splitPane: UiSplitPane): void;
    getMainDomElement(): JQuery;
    protected onAttachedToDom(): void;
    destroy(): void;
}
